• Hallo zusammen,

    ich bin ganz neu hier und würde meine Frage gerne an alle im Forum stellen:

    der Link / Code:


    (http://html5shiv.googlecode.com/svn/trunk/html5.js)


    zur Umwandlung der HTML5-Befehle für alte Browser funktioniert leider bei mir nicht. Könnt Ihr mir da bitte helfen und mir eine andere Möglichkeit nennen, wie man die neueren HTML5-Befehle (header, nav.....) für alte Browser lesbar machen kann?

    Besten Dank schon mal.


    Liebe Grüße

    Marianne

  • Dein Link geht nicht.

    Könnt Ihr mir da bitte helfen und mir eine andere Möglichkeit nennen, wie man die neueren HTML5-Befehle (header, nav.....) für alte Browser lesbar machen kann?

    Das verstehe ich nicht ganz.

    HTML 5 gibt es schon länger und sollte doch bei jeden neueren Browser problemlos laufen.

    Wer noch einen alten IE 6 benutzt oder so ist meiner Meinung nach selber schuld.

    Du kannst Deine Webseite ja nicht für solche Leute in HTML 4 und HTML 5 Bereitstellen.

    Oder verstehe ich das jetzt irgendwie falsch?

  • Danke für eure Antworten, ich hab den HTML-Seminar-Kurs gemacht u. da heißt es, man soll diese Zeile in den HEAD-Bereich schreiben, dann müsse man keine DocumentcreateElement.... od. so ähnl. schreiben, damit die Bereiche header, nav.... erkannt werden können. Hab ich da was falsch verstanden?

    Danke für eure Untersützung

  • Kannst du uns mal den Link geben, wo das genau steht ?

    Ich glaube, du hast da was falsch verstanden.


    EDIT:

    Meinst du dieses gedönst

  • Hallo Marianne,


    ich verstehe deine Konfusion. Im Kurs hatte ich einen Link, der auf den Google-Seiten gelöscht wurde.

    Aus https://cdnjs.cloudflare.com/a…l5shiv/3.7.3/html5shiv.js wurde https://cdnjs.cloudflare.com/a…l5shiv/3.7.3/html5shiv.js


    Allerdings ist das nur notwendig, wenn man alte Browser von Microsoft IE 8 und noch älter unterstützen möchte bzw. muss.
    Ich habe im Kurs auf der Seite https://www.html-seminar.de/3-…ut-html5-grundgeruest.htm den Link korrigiert und dort zusätzlich den Text erweitert um


    Zitat

    Die Verwendung von html5shiv.js ist nur notwendig, wenn man sehr alte Versionen vom Microsofts Internet Explorer 8 (und davor) unterstützen möchte oder muss. Wenn man es nutzt, sollte man das JavaScript ohnehin auf der eigenen Domain gespeichert haben, um rechtlich nicht in Probleme zu kommen. Im Folgenden schenken wir uns die Unterstützung von den veralteten Browserversionen – hier nur der Vollständigkeit halber.

    Danke für den Hinweis bzw. die Frage. Manche externen Links und Ressourcen ändern sich, ohne dass man es als Autor gleich mitbekommt. Es ist nun im Kurs geändert.

  • Vielen herzlichen Dank, das hat mir sehr geholfen.

    Auch nochmal herzlichen Dank für das tolle Seminar und die anschaulichen Erklärungen, das hilft dann auch einem Anfänger eine Homepage zu gestalten und macht total stolz. :) Super Sache Deine DVD-Seminare :thumbup: kann man nur weiterempfehlen.

    Herzlichen Dank